# Uses of Interface
org.eclipse.emf.compare.match.eobject.ProximityEObjectMatcher.DistanceFunction

Packages that use ProximityEObjectMatcher.DistanceFunction
Package
Description
org.eclipse.emf.compare.match.eobject
org.eclipse.emf.compare.match.eobject.internal

## Uses of ProximityEObjectMatcher.DistanceFunction in org.eclipse.emf.compare.match.eobject

Classes in org.eclipse.emf.compare.match.eobject that implement ProximityEObjectMatcher.DistanceFunction
Modifier and Type
Class
Description
`class`
`CachingDistance`
This class wraps a DistanceFunction and cache its result.
`class`
`EditionDistance`
This distance function implementation will actually compare the given EObject.
Constructors in org.eclipse.emf.compare.match.eobject with parameters of type ProximityEObjectMatcher.DistanceFunction
Modifier
Constructor
Description
``
`CachingDistance(ProximityEObjectMatcher.DistanceFunction wrapped)`
Create a new caching distance.
``
`ProximityEObjectMatcher(ProximityEObjectMatcher.DistanceFunction meter)`
Create the matcher using the given distance function.

## Uses of ProximityEObjectMatcher.DistanceFunction in org.eclipse.emf.compare.match.eobject.internal

Constructors in org.eclipse.emf.compare.match.eobject.internal with parameters of type ProximityEObjectMatcher.DistanceFunction
Modifier
Constructor
Description
``
`ByTypeIndex(ProximityEObjectMatcher.DistanceFunction meter, ScopeQuery scope)`
Create a new instance using the given `ProximityEObjectMatcher.DistanceFunction` to instantiate delegate indexes on demand.
``
`ProximityIndex(ProximityEObjectMatcher.DistanceFunction meter, ScopeQuery matcher)`
Create a new `ProximityIndex` using the given distance function.